Summary: Check locally for signs of a rootkit.
Name: chkrootkit
Version: 0.44
Release: 1.norlug
License: COPYRIGHTED
Group: Applications/System
URL: http://www.chkrootkit.org/


Source0: ftp://ftp.pangeia.com.br/pub/seg/pac/chkrootkit-%{version}.tar.gz
BuildRoot: %{_tmppath}/root-%{name}-%{version}
Prefix: %{_prefix}

%description
chkrootkit is a tool to locally check for signs of a rootkit.

The following tests are made:
    aliens asp bindshell lkm rexedcs sniffer wted w55808
    scalper slapper z2 amd basename biff chfn chsh cron
    date du dirname echo egrep env find fingerd gpm grep
    hdparm su ifconfig inetd inetdconf init identd killall
    ldsopreload login ls lsof mail mingetty netstat named
    passwd pidof pop2 pop3 ps pstree rpcinfo rlogind rshd
    slogin sendmail sshd syslogd tar tcpd tcpdump top
    telnetd timed traceroute vdir w write

%prep
%setup -q

%{__cat} <<EOF >chkrootkit.apps
USER=root
PROGRAM=%{_libdir}/chkrootkit-%{version}/chkrootkit.sh
SESSION=true
EOF

%{__cat} <<EOF >chkrootkit.pam
#%PAM-1.0
auth       sufficient	pam_rootok.so
auth       sufficient   pam_timestamp.so
auth       required	pam_stack.so service=system-auth
session	   required	pam_permit.so
session    optional	pam_xauth.so
session    optional     pam_timestamp.so
account    required	pam_permit.so
EOF

%{__cat} <<EOF >chkrootkit.sh
#!/bin/sh
cd %{_libdir}/chkrootkit-%{version}
exec %{_libdir}/chkrootkit-%{version}/chkrootkit
EOF

%{__cat} <<EOF >xchkrootkit.sh
#!/bin/sh
%{_bindir}/chkrootkit
echo "Press ENTER to exit"
read ENDSCRIPT
EOF

%build
%{__make} sense

%install
%{__rm} -rf %{buildroot}
%{__install} -d -m0755 %{buildroot}%{_bindir} \
			%{buildroot}%{_libdir}/chkrootkit-%{version}/ \
			%{buildroot}%{_sysconfdir}/security/console.apps/ \
			%{buildroot}%{_sysconfdir}/pam.d/ \

%{__install} -m0644 chkrootkit.apps %{buildroot}%{_sysconfdir}/security/console.apps/chkrootkit
%{__install} -m0644 chkrootkit.pam %{buildroot}%{_sysconfdir}/pam.d/chkrootkit

%{__install} -m0755 xchkrootkit.sh %{buildroot}%{_bindir}/xchkrootkit
%{__ln_s} -f %{_bindir}/xchkrootkit %{buildroot}%{_bindir}/chkrootkitX
%{__ln_s} -f %{_bindir}/consolehelper %{buildroot}%{_bindir}/chkrootkit

%{__install} -m0755 check_wtmpx chkdirs chklastlog chkproc chkrootkit chkrootkit.sh chkwtmp ifpromisc strings-static %{buildroot}%{_libdir}/chkrootkit-%{version}/


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc ACKNOWLEDGMENTS COPYRIGHT README*
%config %{_sysconfdir}/pam.d/*
%config %{_sysconfdir}/security/console.apps/*
%{_bindir}/*
%{_libdir}/chkrootkit-%{version}/

%changelog
* Sun Oct 24 2004 Chip Cuccio <chipster@norlug.org> 0.44-1
- updated

* Sat Mar 20 2004 Chip Cuccio <chipster@norlug.org> 0.43-3
- update to 0.43

* Sun Dec 22 2003 Chip Cuccio <chipster@norlug.org> 0.42b-2
- update and rebuild to 0.42b
- built with dietlibc

* Mon Dec 1 2003 Chip Cuccio <chipster@norlug.org> 0.91-1
- initial build for rh-7.3
